# H225_QseriesOptions Class Reference

`#include <h225.h>`

Inheritance diagram for H225_QseriesOptions:

List of all members.

## Public Member Functions

| H225_QseriesOptions (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Boolean | m_q932Full
PASN_Boolean | m_q951Full
PASN_Boolean | m_q952Full
PASN_Boolean | m_q953Full
PASN_Boolean | m_q955Full
PASN_Boolean | m_q956Full
PASN_Boolean | m_q957Full
H225_Q954Details | m_q954Info

## Constructor & Destructor Documentation

H225_QseriesOptions::H225_QseriesOptions | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_QseriesOptions::GetDataLength | ( |  | ) | const

PBoolean H225_QseriesOptions::Decode | ( | PASN_Stream & | strm | ) |

void H225_QseriesOptions::Encode | ( | PASN_Stream & | strm | ) | const

void H225_QseriesOptions::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_QseriesOptions::Compare | ( | const PObject & | obj | ) | const

PObject* H225_QseriesOptions::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Boolean H225_QseriesOptions::m_q932Full

PASN_Boolean H225_QseriesOptions::m_q951Full

PASN_Boolean H225_QseriesOptions::m_q952Full

PASN_Boolean H225_QseriesOptions::m_q953Full

PASN_Boolean H225_QseriesOptions::m_q955Full

PASN_Boolean H225_QseriesOptions::m_q956Full

PASN_Boolean H225_QseriesOptions::m_q957Full

H225_Q954Details H225_QseriesOptions::m_q954Info

The documentation for this class was generated from the following file:

- h225.h